Subject: Re: Process states in cygwin ?
From: "Sergey Okhapkin" <[email-masked]>
To: "Ronald Landheer-Cieslak" <[email-masked]>, <[email-masked]>
Cc: <[email-masked]>
Date: Wed, 26 Feb 2003 07:22:07 -0500

Probably

    else
       status = 'R';  //running

would be a good idea then?

Sergey Okhapkin
Somerset, NJ
----- Original Message -----
From: "Ronald Landheer-Cieslak" <[email-masked]>
To: <[email-masked]>
Cc: <[email-masked]>
Sent: Wednesday, February 26, 2003 6:59 AM
Subject: Re: Process states in cygwin ?

> "Use the Source, Duke!"
>
>       if (p->process_state & PID_STOPPED)
>         status = 'S';
>       else if (p->process_state & PID_TTYIN)
>         status = 'I';
>       else if (p->process_state & PID_TTYOU)
>         status = 'O';
>
> i.e.: S is stopped, I is input, O is output.
>
> (I should say, though, that the last time I answered this questions I
> looked at the source cross-eyed.. but cgf corrected me :)
>
> rlc
>
> On Wed, 26 Feb 2003 [email-masked] wrote:
>
> > Hello,
> >
> > Can anybody tell me what the meaning is of the process states
> > 'O' and 'I' when I do ps in a shell ?
> >
> > Jurgen
> >
> > --
> > Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> > Bug reporting:         http://cygwin.com/bugs.html
> > Documentation:         http://cygwin.com/docs.html
> > FAQ:                   http://cygwin.com/faq/
> >
>
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/